请教关于dpkg --configure -a 的问题

为当前最终发行版之前的所有版本提供支持
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

请教关于dpkg --configure -a 的问题

#1

帖子 xcqkenl » 2009-05-08 1:33

系统提示dpkg 有问题 要输入dpkg --configure -a 解决问题,
但是为什么我输入sudo dpkg --configure -a 后 提示
dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0098”文件的第“5”行附近 软件包“scim-tables-zh”:
在字段“Maintainer”的值中间发现了 EOF 字符(缺少最后结尾的换行符)
[email protected]:~$ sudo dpkg --configure -a
dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0098”文件的第“5”行附近 软件包“scim-tables-zh”:
在字段“Maintainer”的值中间发现了 EOF 字符(缺少最后结尾的换行符)

请问如何处理阿

希望高手给解决下
头像
jioyo源
帖子: 3476
注册时间: 2008-10-08 13:48
送出感谢: 0
接收感谢: 4 次

Re: 请教关于dpkg --configure -a 的问题

#2

帖子 jioyo源 » 2009-05-08 1:41

:em04 别管他,你现在装个软件包试试……
--------------------------------------
论坛精华贴全集:http://forum.ubuntu.org.cn/viewtopic.php?f=48&t=199845
book:http://forum.ubuntu.org.cn/viewtopic.php?f=21&t=198286
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#3

帖子 xcqkenl » 2009-05-08 1:48

现在装一个.deb文件还是提示有问题,我已经重启过啦
提示:
只能同时运行一个软件管理系统
请关闭其他软件,如 更新管理器,aptitude,新立得
但是我上面的软件我都没有运行啊
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#4

帖子 xcqkenl » 2009-05-08 1:50

在终端输入那个sudo dpkg --configure -a
还是提示
dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0098”文件的第“5”行附近 软件包“scim-tables-zh”:
在字段“Maintainer”的值中间发现了 EOF 字符(缺少最后结尾的换行符)
头像
jioyo源
帖子: 3476
注册时间: 2008-10-08 13:48
送出感谢: 0
接收感谢: 4 次

Re: 请教关于dpkg --configure -a 的问题

#5

帖子 jioyo源 » 2009-05-08 1:51

xcqkenl 写了:现在装一个.deb文件还是提示有问题,我已经重启过啦
提示:
只能同时运行一个软件管理系统
请关闭其他软件,如 更新管理器,aptitude,新立得
但是我上面的软件我都没有运行啊
:em05 这个和那没关系,linux中同时只能运行一个包管理器,你开多了……
--------------------------------------
论坛精华贴全集:http://forum.ubuntu.org.cn/viewtopic.php?f=48&t=199845
book:http://forum.ubuntu.org.cn/viewtopic.php?f=21&t=198286
头像
wangdu2002
帖子: 13284
注册时间: 2008-12-13 19:39
来自: 物华天宝人杰地灵
送出感谢: 1 次
接收感谢: 6 次

Re: 请教关于dpkg --configure -a 的问题

#6

帖子 wangdu2002 » 2009-05-08 1:52

重启,进恢复模式,可能你的包损坏,修复下吧。 :em06
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#7

帖子 xcqkenl » 2009-05-08 1:55

重启 时候就是选择 那个 按 Esc 里面选择菜单吗
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#8

帖子 xcqkenl » 2009-05-08 1:56

我试下
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#9

帖子 xcqkenl » 2009-05-08 2:16

选择修复模式了后 进入系统还是不行阿, 系统提示有可用更新 就是语言支持的更新,但是一会提示
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

然后sudo dpkg --configure -a 还是不行 提示

dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0098”文件的第“5”行附近 软件包“scim-tables-zh”:
在字段“Maintainer”的值中间发现了 EOF 字符(缺少最后结尾的换行符)

请教高手啦
头像
wangdu2002
帖子: 13284
注册时间: 2008-12-13 19:39
来自: 物华天宝人杰地灵
送出感谢: 1 次
接收感谢: 6 次

Re: 请教关于dpkg --configure -a 的问题

#10

帖子 wangdu2002 » 2009-05-08 2:19

不是,重启电脑,在哥伦布菜单里第二个有revorey模式,进去有多个选择,修复包试下。 :em06
这是标准安装的处理,如果是Wubi安装的,不知道行不行。 :em02
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#11

帖子 xcqkenl » 2009-05-08 2:22

我是用的 Wubi安装的 重启后 提示有阿 就是按 Esc 就可进入拉我选择的revorey模式 之后就是自动的啦,然后一直到正常启动阿
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#12

帖子 xcqkenl » 2009-05-08 2:24

我在网上搜了下也有类似的问题
断开 网线 安装好系统
接着 选 系统支持 语言 更新语言包 结果 出错 提示 运行
dpkg --configure -a
那就运行吧
提示 dpkg: 语法分析错误,在“/var/lib/dpkg/updates/0009”文件的第“1”行附近:
在字段名“#padding”中发现换行符

google 下 说 sudo dpkg --clear-avail 可以 解决 结果从新 安装 语言包还是那个错误
三天了 没有 解决 。

但是也没有看到解决答案阿
头像
wangdu2002
帖子: 13284
注册时间: 2008-12-13 19:39
来自: 物华天宝人杰地灵
送出感谢: 1 次
接收感谢: 6 次

Re: 请教关于dpkg --configure -a 的问题

#13

帖子 wangdu2002 » 2009-05-08 2:24

Wubi余不会,你等明天再看下有没兄弟会搞这个。 :em06
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#14

帖子 xcqkenl » 2009-05-08 2:30

我就是在语言支持更新的时候 强行关了,可能导制dpkg出错拉,但是怎么弄呢,现在好像所有的安装都不行拉
不知道能不能修复啊
谢谢
wangdu2002
一直的关注

期待解决ing.
xcqkenl
帖子: 17
注册时间: 2009-05-08 1:23
送出感谢: 0
接收感谢: 0

Re: 请教关于dpkg --configure -a 的问题

#15

帖子 xcqkenl » 2009-05-08 2:50

解决啦 嘿嘿 就是进入“/var/lib/dpkg/updates/然后删除0009一些文件,然后运行dpkg --configure -a 然后看提示 又删除了0010-0012这几个文件后运行dpkg --configure -a正常,然后就可以安装程序拉

希望对其他人有所帮助吧
回复

回到 “其他版本支持”